# Recent Lit Flow Trades `GET` `https://api.unusualwhales.com/api/lit-flow/recent` Returns the latest lit exchange trades. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `limit` | Default 100 Max 200 Min 1 | No | How many items to return. Default: 100. Max: 200. Min: 1. | | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | | `min_premium` | StockTradesMinPremium | No | The minimum premium requested trades should have. | | `max_premium` | StockTradesMaxPremium | No | The maximum premium requested trades should have. | | `min_size` | StockTradesMinSize | No | The minimum size requested trades should have. Must be a positive integer. | | `max_size` | StockTradesMaxSize | No | The maximum size requested trades should have. Must be a positive integer. | | `min_volume` | StockTradesMinVol | No | The minimum consolidated volume requested trades should have. Must be a positive integer. | | `max_volume` | StockTradesMaxVol | No | The maximum consolidated volume requested trades should have. Must be a positive integer. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `canceled` | Single Trade Is Trade Cancelled | Whether the trade has been cancelled. | | `executed_at` | Single Trade Execution Time | The time with timezone when a trade was executed. | | `ext_hour_sold_codes` | Single Trade External Hour Sold Code | The code describing why the trade happened outside of regular market hours. Null if none applies. | | `market_center` | Single Trade Market Center | The market center code. | | `nbbo_ask` | ToBeDone | | | `nbbo_ask_quantity` | ToBeDone | | | `nbbo_bid` | ToBeDone | | | `nbbo_bid_quantity` | ToBeDone | | | `premium` | Option Contract Premium | The total option premium. | | `price` | Single Trade Price | The price of the trade. | | `sale_cond_codes` | Single Trade Sale Cond Code | The sale condition code. Null if none applies. | | `size` | Single Trade Size | The size of the transaction. | | `ticker` | Stock Ticker | The stock ticker. | | `tracking_id` | Single Trade Tracking ID | The tracking ID of the trade. | | `trade_code` | Single Trade Trade Code | The trade code. Null if none applies. | | `trade_settlement` | Single Trade Settlement | The kind of trade settlement. | | `volume` | Stock Day Stock Volume | The volume of the ticker for the trading day. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/lit-flow/recent" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/lit-flow/recent", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "canceled": false, "executed_at": "2023-02-16T14:30:44Z", "ext_hour_sold_codes": null, "market_center": "Q", "nbbo_ask": "185.50", "nbbo_ask_quantity": 400, "nbbo_bid": "185.45", "nbbo_bid_quantity": 800, "premium": "1854500.00", "price": "185.45", "sale_cond_codes": "regular_sale", "size": 10000, "ticker": "AAPL", "tracking_id": 71984388012245, "trade_code": null, "trade_settlement": "regular_settlement", "volume": 15946819 }, { "canceled": false, "executed_at": "2023-02-16T14:30:42Z", "ext_hour_sold_codes": null, "market_center": "N", "nbbo_ask": "185.52", "nbbo_ask_quantity": 300, "nbbo_bid": "185.48", "nbbo_bid_quantity": 600, "premium": "927400.00", "price": "185.48", "sale_cond_codes": "regular_sale", "size": 5000, "ticker": "AAPL", "tracking_id": 71984384768588, "trade_code": null, "trade_settlement": "regular_settlement", "volume": 15936819 } ] } ```